[arch-commits] Commit in fixesproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 4 02:30:33 EDT 2009


    Date: Saturday, April 4, 2009 @ 02:30:33
  Author: eric
Revision: 33065

upgpkg: fixesproto 4.0-3
    Added license

Modified:
  fixesproto/trunk/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-04 05:45:33 UTC (rev 33064)
+++ PKGBUILD	2009-04-04 06:30:33 UTC (rev 33065)
@@ -3,18 +3,20 @@
 
 pkgname=fixesproto
 pkgver=4.0
-pkgrel=2
+pkgrel=3
 pkgdesc="X11 Fixes extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
-depends=(xproto xextproto)
+license=('custom')
+depends=('xproto' 'xextproto')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
-md5sums=(8b298cc3424597f8138c7faf7763dce9)
+md5sums=('8b298cc3424597f8138c7faf7763dce9')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
 



More information about the arch-commits mailing list